"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const _ = require("../../index-e95df633.cjs");
const reactBootstrap = require("react-bootstrap");
const require$$0 = require("react");
function Check({ validMessage, invalidMessage, wrapperClassName, ...props }) {
  const [Messages, setMessages] = require$$0.useState();
  const formContext = require$$0.useContext(_.FormContext);
  require$$0.useEffect(() => {
    const messages = formContext.getError("messages");
    if (messages === void 0) {
      setMessages(void 0);
      return;
    }
    if (props.name && messages[props.name]) {
      setMessages({ ...{}, ...messages[props.name] });
    } else {
      setMessages(void 0);
    }
  }, [formContext.getError("messages")]);
  return /* @__PURE__ */ _.jsxRuntimeExports.jsxs(
    _.InputWrapper,
    {
      label: props.label,
      required: props.required,
      name: props.name,
      feedbackMessage: false,
      className: wrapperClassName,
      children: [
        /* @__PURE__ */ _.jsxRuntimeExports.jsx(
          reactBootstrap.Form.Check,
          {
            ...props,
            id: props.id || _.createKey(),
            isInvalid: props.isInvalid || (Messages ? true : false),
            className: (props.className || "") + (props.isInvalid || (Messages ? true : false) ? " border-danger" : "")
          }
        ),
        validMessage && /* @__PURE__ */ _.jsxRuntimeExports.jsx("div", { className: "ms-2 text-success", children: /* @__PURE__ */ _.jsxRuntimeExports.jsx("ul", { children: validMessage.map(
          (mes) => /* @__PURE__ */ _.jsxRuntimeExports.jsx("li", { children: mes }, mes)
        ) }) }),
        /* @__PURE__ */ _.jsxRuntimeExports.jsxs("div", { className: "ms-2 mb-2 text-danger", children: [
          invalidMessage && /* @__PURE__ */ _.jsxRuntimeExports.jsx("ul", { className: "mb-0", children: invalidMessage.map(
            (mes) => /* @__PURE__ */ _.jsxRuntimeExports.jsx("li", { children: mes }, mes)
          ) }),
          Messages && /* @__PURE__ */ _.jsxRuntimeExports.jsx(_.ErrorMessages, { messages: Messages })
        ] })
      ]
    }
  );
}
function Select({
  label,
  validMessage,
  invalidMessage,
  beforeText,
  afterText,
  wrapperClassName,
  pleaseOption = true,
  pleaseOptionMessage = "選択してください",
  ...props
}) {
  var _a, _b;
  const [Messages, setMessages] = require$$0.useState();
  const formContext = require$$0.useContext(_.FormContext);
  require$$0.useEffect(() => {
    const messages = formContext.getError("messages");
    if (messages === void 0) {
      setMessages(void 0);
      return;
    }
    if (props.name && messages[props.name]) {
      setMessages({ ...{}, ...messages[props.name] });
    } else {
      setMessages(void 0);
    }
  }, [formContext.getError("messages")]);
  return /* @__PURE__ */ _.jsxRuntimeExports.jsx(
    _.InputWrapper,
    {
      label,
      required: props.required,
      name: props.name,
      feedbackMessage: false,
      className: wrapperClassName,
      children: /* @__PURE__ */ _.jsxRuntimeExports.jsxs(reactBootstrap.InputGroup, { children: [
        beforeText && (Array.isArray(beforeText) ? beforeText.map((node) => /* @__PURE__ */ _.jsxRuntimeExports.jsx(reactBootstrap.InputGroup.Text, { children: node })) : /* @__PURE__ */ _.jsxRuntimeExports.jsx(reactBootstrap.InputGroup.Text, { children: beforeText })),
        /* @__PURE__ */ _.jsxRuntimeExports.jsxs(
          reactBootstrap.Form.Select,
          {
            ...props,
            title: props.title || label,
            isInvalid: props.isInvalid || (Messages ? true : false),
            className: (props.className || "") + (props.isInvalid || (Messages ? true : false) ? " border-danger" : ""),
            children: [
              pleaseOption && /* @__PURE__ */ _.jsxRuntimeExports.jsx("option", { label: pleaseOptionMessage, className: "d-none" }),
              props.children
            ]
          }
        ),
        validMessage && /* @__PURE__ */ _.jsxRuntimeExports.jsx(reactBootstrap.Form.Control.Feedback, { className: "ms-2", children: /* @__PURE__ */ _.jsxRuntimeExports.jsx("ul", { children: validMessage.map(
          (mes) => /* @__PURE__ */ _.jsxRuntimeExports.jsx("li", { children: mes }, mes)
        ) }) }),
        (invalidMessage || ((_a = formContext.Error) == null ? void 0 : _a.messages) && props.name && !Array.isArray(formContext.Error.messages) && formContext.Error.messages[props.name]) && /* @__PURE__ */ _.jsxRuntimeExports.jsxs(reactBootstrap.Form.Control.Feedback, { type: "invalid", className: "ms-2 mb-2", children: [
          invalidMessage && /* @__PURE__ */ _.jsxRuntimeExports.jsx("ul", { className: "mb-0", children: invalidMessage.map(
            (mes) => /* @__PURE__ */ _.jsxRuntimeExports.jsx("li", { children: mes }, mes)
          ) }),
          ((_b = formContext.Error) == null ? void 0 : _b.messages) && props.name && !Array.isArray(formContext.Error.messages) && formContext.Error.messages[props.name] && /* @__PURE__ */ _.jsxRuntimeExports.jsx(_.ErrorMessages, { messages: formContext.Error.messages[props.name] })
        ] }),
        afterText && (Array.isArray(afterText) ? afterText.map((node) => /* @__PURE__ */ _.jsxRuntimeExports.jsx(reactBootstrap.InputGroup.Text, { children: node })) : /* @__PURE__ */ _.jsxRuntimeExports.jsx(reactBootstrap.InputGroup.Text, { children: afterText }))
      ] })
    }
  );
}
exports.Control = _.Control;
exports.ErrorMessages = _.ErrorMessages;
exports.FormWrapper = _.FormWrapper;
exports.Input = _.Input;
exports.InputWrapper = _.InputWrapper;
exports.Check = Check;
exports.Select = Select;
