import React, { MouseEvent, MouseEventHandler } from 'react';
export type BreadCrumbType = {
    link: string;
    text: string;
};
export type PageWrapperProps = React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement> & React.PropsWithChildren & {
    title?: string;
    breadCrumb?: BreadCrumbType[];
    breadCrumbOnClick?: (e: MouseEvent<HTMLAnchorElement>, item: BreadCrumbType) => void;
    homeText?: React.ReactNode;
    onAnchorClick?: MouseEventHandler<HTMLAnchorElement>;
    changeLink?: (link: string) => void;
    changeTitle?: boolean;
    siteTitle?: string;
    titleSeparator?: string;
};
export default function PageWrapper({ title, breadCrumb, breadCrumbOnClick, homeText, onAnchorClick, changeLink, changeTitle, siteTitle, titleSeparator, children, ...props }: PageWrapperProps): JSX.Element;
